import request from '@/utils/httpRequest'

export default class CollectService {
  updateStatusById (param) {
    return request({
      url: '/material/collect/updateStatusById',
      method: 'post',
      data: param
    })
  }
  remove (id) {
    return request({
      url: '/material/collect/remove',
      method: 'get',
      params: {id: id}
    })
  }
  save (param) {
    return request({
      url: '/material/collect/save',
      method: 'post',
      data: param
    })
  }
  findById (id) {
    return request({
      url: '/material/collect/findById',
      method: 'get',
      params: {id: id}
    })
  }
  list (param) {
    return request({
      url: '/material/collect/list',
      method: 'get',
      params: param
    })
  }
  wareHouseList (params) {
    return request({
      url: '/material/collect/wareHouseList',
      method: 'get',
      params: params
    })
  }
}
